Esta página aún no está traducida al español, por lo que se muestra en inglés.
Get info of a Bot Runner
This returns detailed information on a specific Bot Runner including all the workflows where the Bot Runner is assigned.
gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runner/{id}
{region} puede ser: na, cis, apac, latam, emea
Pruébalo
Parámetros de ruta
Completa id para enviar esta solicitud.
cURL
curl --request GET \
--url 'https://api.na.electroneek.com/v1/orchestrator/bot-runner/{id}'Autenticación
Usa un token API de la página Orquestador → Integraciones. Envíalo como token bearer: Authorization: Bearer <token>.
Parámetros de ruta
| Nombre | Tipo | Obligatorio | Descripción |
|---|---|---|---|
id | string | sí | Bot Runner ID |
Respuesta
200Success
Cuerpo de la respuesta
object
iduuidobligatorioID of the Bot Runner
namestringobligatorioName of the Bot Runner
statusstring (ready, in_progress, offline)obligatorioStatus of the Bot Runner
versionstringobligatorioVersion of the Bot Runner
login_asobjectobligatorioOrganization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens
object
typestringvaluestringhost_namestringobligatorioName of the computer where Bot Runner is installed.
status_sincedate-timeassigned_workflowsarray of objectsobject
iduuidobligatorionamestringobligatoriodescriptionstringobligatorioActualizado